summaryrefslogtreecommitdiff
path: root/.tools/licensecheck.sh
diff options
context:
space:
mode:
authorJesusaves <cpntb1@ymail.com>2023-01-04 15:59:08 -0300
committerJesusaves <cpntb1@ymail.com>2023-01-04 15:59:08 -0300
commit299b38bd5dda1e37cd894a2907605c58b19b4f64 (patch)
treeabc64b63c06ca1817769ed10f3d4a9ff2914373b /.tools/licensecheck.sh
parent3daa25760e3cd226b708a302b222314823178f7f (diff)
downloadclientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.gz
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.bz2
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.xz
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.zip
Forcefully introduce the standardized CI to client-data
Diffstat (limited to '.tools/licensecheck.sh')
-rwxr-xr-x.tools/licensecheck.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/.tools/licensecheck.sh b/.tools/licensecheck.sh
new file mode 100755
index 00000000..ba2be45f
--- /dev/null
+++ b/.tools/licensecheck.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core gcc ca-certificates grep
+rm -rf tools
+gitclone https://git.themanaworld.org/evolved tools.git tools
+
+cd tools/CI/licensecheck
+
+./clientdata.sh >license.log
+check_error $?
+
+export RES=$(cat license.log)
+if [[ -n "${RES}" ]]; then
+ echo "Detected missing licenses."
+ cat license.log
+ echo "Estimated total missing licenses:"
+ wc -l license.log
+ exit 1
+fi